InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ExternalConnSettings Struct Reference

External Connection Settings. More...

`#include <ExternalConnSettings.h>`

## Public Member Functions
| ExternalConnSettings ()
| ExternalConnSettings (std::wstring const &name, std::shared_ptr< ExternalConnWriter > const &writer)
| ExternalConnSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | name
| The name of the connection.
std::shared_ptr< ExternalConnWriter > | writer
std::shared_ptr< ExternalConnReader > | reader

## Detailed Description

External Connection Settings.

Class containing settings for an external connection.

## Constructor & Destructor Documentation

## ◆ ExternalConnSettings() [1/3]

inertia::ExternalConnSettings::ExternalConnSettings | ( |  | ) |

Default constructor.

## ◆ ExternalConnSettings() [2/3]

inertia::ExternalConnSettings::ExternalConnSettings | ( | std::wstring const & | name,
|  | std::shared_ptr< ExternalConnWriter > const & | writer )

Constructor with individual arguments.

Parameters

  name | a name for the external connection
  writer | an ExternalConnWriter

## ◆ ExternalConnSettings() [3/3]

inertia::ExternalConnSettings::ExternalConnSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates ExternalConnSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::ExternalConnSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for ExternalConnSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::ExternalConnSettings::ToString | ( |  | ) | const

Get a string representation of this ExternalConnSettings. The string is compatible with GetOptionDescription() and ExternalConnSettings(std::wstring const&).

Returns
  the string

## Member Data Documentation

## ◆ reader

std::shared_ptr<ExternalConnReader> inertia::ExternalConnSettings::reader
| mutable

Used by the library to receive data from external connection. The reader is created by the library when the connection is created. The library has ownership and resets pointer once disconnected. DO NOT use the writer after a connection has been removed.

## ◆ writer

std::shared_ptr<ExternalConnWriter> inertia::ExternalConnSettings::writer
| mutable

Used by the library to write data to external connection. Should be created before ExternalConnection is started. The library takes ownership and resets pointer once disconnected. DO NOT use the writer after a connection has been removed.

The documentation for this struct was generated from the following file:

- ExternalConnSettings.h